<!DOCTYPE html>
<html>
    <head>
        <style type="text/css">
            .set {
                box-sizing: border-box;
                /*height: 100vh;*/
            }
            
            .figure{
                /*max-width:250px;*/
                max-width: 14%;
                height:47%;
                padding: 10px;
                display: inline-block;
                box-sizing: border-box;
            }
            .figure img{
                width:100%;
            }
            .figure p {
                text-align: center; 
                margin:0;
            }

        </style>
        <script type="text/javascript" src="figures.js"></script>
        <script type="text/javascript">
            document.addEventListener("DOMContentLoaded",()=>{
                Object.keys(sets).forEach((s)=>{
                    var setDiv = document.createElement("div");
                    setDiv.classList.add("set");
                    var title = document.createElement("h1");
                    
                    title.innerHTML=`Set ${s} - ${sets[s].reduce((acc,fig)=>acc+figuresCoeff[fig],0)} pts`;
                    
                    setDiv.appendChild(title);

                    sets[s].forEach((fig)=>{

                        var div = document.createElement("div");
                        div.classList.add("figure");
                        var img = document.createElement("img");
                        img.setAttribute("src",`dist/${fig}.svg`);
                        
                        desc = document.createElement("p");
                        desc.innerHTML=figuresCoeff[fig]+"pts"; 
                        

                        setDiv.appendChild(div);                      
                        div.appendChild(img);
                        div.appendChild(desc);
                    })
                    document.body.appendChild(setDiv);
                })
            })
        </script>
    </head>
    <body>
        
    </body>
</html>